Name:          rtirq
Version:       20240120
Release:       1mamba
Summary:       A script that configures a Real Time kernel IRQs for low audio latency
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.rncbc.org/drupal/
Source:		   https://www.rncbc.org/archive/rtirq-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      schedutils

%description
A script that configures a Real Time kernel IRQs for low audio latency.

%prep
%setup -q

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m0755 rtirq.sh %{buildroot}%{_sbindir}/rtirq
install -D -m0644 rtirq.conf %{buildroot}%{_sysconfdir}/rtirq.conf
install -D -m0644 *.service -t %{buildroot}%{_unitdir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%preun
%systemd_preun rtirq
%systemd_preun rtirq-resume
:

%post
%systemd_post rtirq
%systemd_post rtirq-resume
:

%postun
%systemd_postun rtirq
%systemd_postun rtirq-resume
:

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/rtirq.conf
%{_sbindir}/rtirq
%{_unitdir}/rtirq-resume.service
%{_unitdir}/rtirq.service
%doc LICENSE

%changelog
* Sun Jan 21 2024 Automatic Build System <autodist@openmamba.org> 20240120-1mamba
- automatic update by autodist

* Wed Sep 28 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 20220923-1mamba
- update to 20220923

* Thu Apr 01 2021 Automatic Build System <autodist@mambasoft.it> 20210329-1mamba
- automatic version update by autodist

* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 20210319-1mamba
- automatic version update by autodist

* Fri Mar 12 2021 Automatic Build System <autodist@mambasoft.it> 20210309-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 20210113-1mamba
- automatic version update by autodist

* Sun Mar 29 2020 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 20191121-1mamba
- update to 20191121

* Thu Mar 08 2018 Automatic Build System <autodist@mambasoft.it> 20180209-1mamba
- automatic version update by autodist

* Tue Mar 03 2015 Automatic Build System <autodist@mambasoft.it> 20150216-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 20140413-1mamba
- automatic update by autodist

* Sat Sep 14 2013 Automatic Build System <autodist@mambasoft.it> 20130909-1mamba
- automatic update by autodist

* Fri Apr 05 2013 Automatic Build System <autodist@mambasoft.it> 20130402-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Automatic Build System <autodist@mambasoft.it> 20121105-1mamba
- automatic version update by autodist

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 20120505-1mamba
- automatic version update by autodist

* Thu Oct 27 2011 Automatic Build System <autodist@mambasoft.it> 20111007-1mamba
- automatic version update by autodist

* Fri Mar 18 2011 Automatic Build System <autodist@mambasoft.it> 20110314-1mamba
- automatic update by autodist

* Fri Oct 02 2009 Automatic Build System <autodist@mambasoft.it> 20090920-1mamba
- automatic update by autodist

* Sat Aug 15 2009 Automatic Build System <autodist@mambasoft.it> 20090810-1mamba
- automatic update by autodist

* Sun Aug 09 2009 Automatic Build System <autodist@mambasoft.it> 20090808-1mamba
- automatic update by autodist

* Wed Jul 01 2009 Automatic Build System <autodist@mambasoft.it> 20090626-1mamba
- automatic update by autodist

* Thu Feb 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 20090131-1mamba
- automatic update by autodist

* Tue Dec 09 2008 gil <puntogil@libero.it> 20071012-1mamba
- update to 20071012

* Wed Sep 27 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 20060819-1qilnx
- package created by autospec
